Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.pkcs
Class CertificationRequestInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.pkcs.CertificationRequestInfo

All Implemented Interfaces:
  DEREncodable

public class CertificationRequestInfo
extends ASN1Encodable

PKCS10 CertificationRequestInfo object.

      CertificationRequestInfo ::= SEQUENCE {
       version             INTEGER { v1(0) } (v1,...),
       subject             Name,
       subjectPKInfo   SubjectPublicKeyInfo{{ PKInfoAlgorithms }},
       attributes          [0] Attributes{{ CRIAttributes }}
      }

      Attributes { ATTRIBUTE:IOSet } ::= SET OF Attribute{{ IOSet }}

      Attribute { ATTRIBUTE:IOSet } ::= SEQUENCE {
        type    ATTRIBUTE.&id({IOSet}),
        values  SET SIZE(1..MAX) OF ATTRIBUTE.&Type({IOSet}{\@type})
      }

Constructor Summary
`CertificationRequestInfo(ASN1Sequence seq)`
`CertificationRequestInfo(X509Name subject, SubjectPublicKeyInfo pkInfo, ASN1Set attributes)`

Method Summary
`ASN1Set` | `getAttributes()`
`static CertificationRequestInfo` | `getInstance(java.lang.Object obj)`
`X509Name` | `getSubject()`
`SubjectPublicKeyInfo` | `getSubjectPublicKeyInfo()`
`DERInteger` | `getVersion()`
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertificationRequestInfo

    public CertificationRequestInfo(X509Name subject,
                                    SubjectPublicKeyInfo pkInfo,
                                    ASN1Set attributes)

### CertificationRequestInfo

    public CertificationRequestInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static CertificationRequestInfo getInstance(java.lang.Object obj)

### getVersion

    public DERInteger getVersion()

### getSubject

    public X509Name getSubject()

### getSubjectPublicKeyInfo

    public SubjectPublicKeyInfo getSubjectPublicKeyInfo()

### getAttributes

    public ASN1Set getAttributes()

### toASN1Object

    public DERObject toASN1Object()

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD